Bug 1511414 - CVE-2017-15994 CVE-2017-16548 CVE-2017-17433 CVE-2017-17434 rsync: various flaws [fedora-all]
Summary: CVE-2017-15994 CVE-2017-16548 CVE-2017-17433 CVE-2017-17434 rsync: various fl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync
Version: 26
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Ruprich 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-16548 CVE-2017-15994 CVE-2017-17433 CVE-2017-17434
TreeView+ depends on / blocked
 
Reported: 2017-11-09 10:11 UTC by Adam Mariš
Modified: 2018-07-17 07:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-17 07:43:57 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-09 10:11:50 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2017-11-09 10:11:57 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1511411,1511414

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Michal Ruprich 🐧 2017-11-16 12:29:09 UTC
Will get fixed with next rebase, since the fix is already in the master git branch.

Comment 3 Andrej Nemec 2017-11-21 09:50:49 UTC
Added new parent flaw bugs 1515735 (CVE-2017-15994) to this tracking bug.

Comment 4 Andrej Nemec 2017-12-06 16:12:30 UTC
Added new parent flaw bug 1522874 (CVE-2017-17433), 1522875 (CVE-2017-17434) to this tracking bug.

Comment 5 Fedora End Of Life 2018-05-03 08:23:34 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Jan Kurik 2018-05-29 17:14:54 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Michal Ruprich 🐧 2018-05-30 06:02:49 UTC
All of these CVEs are fixed in the current release of rsync (3.1.3-x) present in Fedora 26,27,28 and Rawhide.

Comment 8 Michal Ruprich 🐧 2018-07-17 07:43:57 UTC
Closing as CURRENTRELEASE (comment #7).


Note You need to log in before you can comment on or make changes to this bug.